Package org.lwjgl.opengl

# Class NVParameterBufferObject

java.lang.Object
org.lwjgl.opengl.NVParameterBufferObject

public final class NVParameterBufferObject extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_FRAGMENT_PROGRAM_PARAMETER_BUFFER_NV`
Accepted by the <target> parameter of ProgramBufferParametersfvNV, ProgramBufferParametersIivNV, and ProgramBufferParametersIuivNV, BindBufferRangeNV, BindBufferOffsetNV, BindBufferBaseNV, and BindBuffer and the <value> parameter of GetIntegerIndexedvEXT:
`static final int`
`GL_GEOMETRY_PROGRAM_PARAMETER_BUFFER_NV`
Accepted by the <target> parameter of ProgramBufferParametersfvNV, ProgramBufferParametersIivNV, and ProgramBufferParametersIuivNV, BindBufferRangeNV, BindBufferOffsetNV, BindBufferBaseNV, and BindBuffer and the <value> parameter of GetIntegerIndexedvEXT:
`static final int`
`GL_MAX_PROGRAM_PARAMETER_BUFFER_BINDINGS_NV`
Accepted by the <pname> parameter of GetProgramivARB:
`static final int`
`GL_MAX_PROGRAM_PARAMETER_BUFFER_SIZE_NV`
Accepted by the <pname> parameter of GetProgramivARB:
`static final int`
`GL_VERTEX_PROGRAM_PARAMETER_BUFFER_NV`
Accepted by the <target> parameter of ProgramBufferParametersfvNV, ProgramBufferParametersIivNV, and ProgramBufferParametersIuivNV, BindBufferRangeNV, BindBufferOffsetNV, BindBufferBaseNV, and BindBuffer and the <value> parameter of GetIntegerIndexedvEXT:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glProgramBufferParametersINV(int target, int buffer, int index, IntBuffer params)`
`static void`
`glProgramBufferParametersIuNV(int target, int buffer, int index, IntBuffer params)`
`static void`
`glProgramBufferParametersNV(int target, int buffer, int index, FloatBuffer params)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_MAX_PROGRAM_PARAMETER_BUFFER_BINDINGS_NV

public static final int GL_MAX_PROGRAM_PARAMETER_BUFFER_BINDINGS_NV
Accepted by the <pname> parameter of GetProgramivARB:

See Also:
  - Constant Field Values

### GL_MAX_PROGRAM_PARAMETER_BUFFER_SIZE_NV

public static final int GL_MAX_PROGRAM_PARAMETER_BUFFER_SIZE_NV
Accepted by the <pname> parameter of GetProgramivARB:

See Also:
  - Constant Field Values

### GL_VERTEX_PROGRAM_PARAMETER_BUFFER_NV

public static final int GL_VERTEX_PROGRAM_PARAMETER_BUFFER_NV
Accepted by the <target> parameter of ProgramBufferParametersfvNV, ProgramBufferParametersIivNV, and ProgramBufferParametersIuivNV, BindBufferRangeNV, BindBufferOffsetNV, BindBufferBaseNV, and BindBuffer and the <value> parameter of GetIntegerIndexedvEXT:

See Also:
  - Constant Field Values

### GL_GEOMETRY_PROGRAM_PARAMETER_BUFFER_NV

public static final int GL_GEOMETRY_PROGRAM_PARAMETER_BUFFER_NV
Accepted by the <target> parameter of ProgramBufferParametersfvNV, ProgramBufferParametersIivNV, and ProgramBufferParametersIuivNV, BindBufferRangeNV, BindBufferOffsetNV, BindBufferBaseNV, and BindBuffer and the <value> parameter of GetIntegerIndexedvEXT:

See Also:
  - Constant Field Values

### GL_FRAGMENT_PROGRAM_PARAMETER_BUFFER_NV

public static final int GL_FRAGMENT_PROGRAM_PARAMETER_BUFFER_NV
Accepted by the <target> parameter of ProgramBufferParametersfvNV, ProgramBufferParametersIivNV, and ProgramBufferParametersIuivNV, BindBufferRangeNV, BindBufferOffsetNV, BindBufferBaseNV, and BindBuffer and the <value> parameter of GetIntegerIndexedvEXT:

See Also:
  - Constant Field Values

## Method Details

### glProgramBufferParametersNV

public static void glProgramBufferParametersNV(int target, int buffer, int index, FloatBuffer params)

### glProgramBufferParametersINV

public static void glProgramBufferParametersINV(int target, int buffer, int index, IntBuffer params)

### glProgramBufferParametersIuNV

public static void glProgramBufferParametersIuNV(int target, int buffer, int index, IntBuffer params)